# TODO: https://bugzilla.altlinux.org/show_bug.cgi?id=10901
%define origname gwenhywfar
Name: libgwenhywfar
Version: 2.5.4
Release: alt1

Summary: A multi-platform helper library for other libraries
Group: System/Libraries
License: LGPL

Packager: Vitaly Lipatov <lav@altlinux.ru>

Url: http://sourceforge.net/projects/%origname
Source: http://download.sf.net/%origname/%origname-%version.tar.bz2

# manually removed: gcc-g77 graphviz linux-libc-headers
# Automatically added by buildreq on Wed Apr 11 2007
BuildRequires: gcc-c++ graphviz libssl-devel libxml2-devel

%description
This is Gwenhywfar, a multi-platform helper library for networking and
security applications and libraries. It is heavily used by libchipcard
www.libchipcard.de and OpenHBCI-TNG (The Next Generation)
www.openhbci.de.

%package devel
Summary: Gwenhywfar development kit
Group: Development/C
Requires: %name = %version-%release

%description devel
This package contains gwenhywfar-config and header files for writing and
compiling programs using Gwenhywfar.

%prep
%setup -q -n %origname-%version

%build
%configure --disable-static --with-openssl-libs=%_libdir
%make_build

%install
%make_install DESTDIR=%buildroot install

%find_lang %origname

%post
%post_ldconfig

%postun
%postun_ldconfig

%files -f %origname.lang
%doc AUTHORS README ChangeLog
#%_sysconfdir/*
%_libdir/*.so.*
%_libdir/%origname

%files devel
%_libdir/*.so
%_bindir/%origname-config
%_bindir/xmlmerge
%_bindir/gct-tool
%_bindir/mklistdoc
%_bindir/typemaker
%_includedir/%origname
%_pkgconfigdir/*
#%_includedir/gwenpp
#%_libdir/*.la
#%_libdir/*.a
%_datadir/aclocal/gwenhywfar.m4

%changelog
* Wed Apr 11 2007 Vitaly Lipatov <lav@altlinux.ru> 2.5.4-alt1
- new version 2.5.4
- do not pack /etc/gwen-public-ca.crt
- update buildreq, fix x86_64 build (use --with-openssl-libs (thanks at@))

* Mon Sep 11 2006 Vitaly Lipatov <lav@altlinux.ru> 2.4.0-alt0.1
- new version 2.4.0
- update buildreq

* Mon May 01 2006 Vitaly Lipatov <lav@altlinux.ru> 2.2.0-alt0.1
- new version

* Mon Dec 19 2005 Vitaly Lipatov <lav@altlinux.ru> 1.19.2-alt0.1
- new version

* Mon Aug 22 2005 Igor Muratov <migor@altlinux.org> 1.16.0-alt1
- new version

* Wed Aug 10 2005 Igor Muratov <migor@altlinux.org> 1.14.0-alt1
- new version

* Sun Mar 06 2005 Vitaly Lipatov <lav@altlinux.ru> 1.7.1-alt1
- first build for ALT Linux Sisyphus

